CFDI 3.3 Nativo SAP B1 9.2 p10

cfdi
Etiquetas: #<Tag:0x00007f54348d79a0>

#1

Buenas tardes,
Tengo instalado el parche 10 de la versión 9.2 del SAP Business One.
Al momento de tratar de timbrar una factura de ventas, me aparece el siguiente mensaje:

“XML document does not conform to schema; contact format provider for support”.

¿A qué se deberá este problema?36


#2

Si abres en Ventana-Log de Mensajes del sistema, ahi te dira cual es el problema para generar tu XML, puede ser que tu documento no tenga uso del cfdi, el metodo de pago o que alguno de tus articulos no tenga las unidades de medida del SAT.
Por cierto hasta donde se no se ha liberado el Pl10 de la Ver 9.2


#3

hola,
Verifica tu xsd-Definition y si tu archivo XML están sincronizados.

El Import Server es un poco más restrictivo en la estructura de archivos XML que el Import Manager.

Solo asegúrate de que el archivo XSD correspondiente esté especificado en el puerto
saludos,


#4

Qué SPP tienes? que versión y ya están instalados?
Tienes más información?


#5

Muchas gracias por tú respuesta. Se liberó a finales de noviembre principios de diciembre. 35


#6

Los SPP que tengo son:

Electronic Invoice for MX v3.3 DOC v1.04 (System).SPP
Electronic Invoice for MX v3.3 IM v1.01 (System) released.SPP
Electronic Invoice for MX v3.3 PAYM&REC v1.03 (System).SPP

Gracias,


#7

Uno de los mensajes que veo en el Log es:
Link to certificate not valid [Message 355000000-7]

Pero el certificado está instalado en la computadora y en el servidor.

Gracias.


#8

Muchas gracias Esteban,

Soy nuevo en esto. ¿Me podrías explicar un poco más?

Saludos,


#9

Hola Hernan
A mi también me dió ese error y lo tuve que volver a cargar.
Slds.


#10

Hernan
Son los mismos que yo tengo, ya actualizaste los cacerts? es la versión 4.0.3
Slds.


#11

Muchas gracias Olga,

Volví a instalar el PFX, pero ahora solo al usuario (no al equipo), y ya no apareció ese error.

Ahora el error que recibí fue el siguiente, de parte de B1i:
20

“Error ocurred at sending of Electronic Invoice to PAC (EDICOM) webservice.
Document type: OINV
Document No.: 9951
Code: -1
Description: unable to find valid certification path to requested target.”

Muchas gracias por su ayuda. ¡Feliz año!


#12

buena tarde dependiendo del sap que tengas instalado tenes que actualizarlo den la pagina de sap al mometo de las actualizaciones buscas el tema del cfdi y te manda un en lace de un pdf de como actualizarlo. tal vez te sirva este que ami me funciono


#13

@Hernan_Garcia es importante que verifiques tu conexion en el integration y que esten los cracets correctos


#14

Aparte de los cacerts que te están recomendando revisar y no has informado si los actualizaste o no…

La versión PL 10 si se liberó en Noviembre… PERO no a los clientes sino a los Partners originalmente, este PL creo que ya tiene 1 o 2 Parches… porque ha salido con distintos errores, y a prueba a nivel de partner de mi parte me arrojó de resultado, en 5 BD distintas, solo 2 actualizaron y 3 dieron errores y se corrompieron (todo en ambiente de pruebas) por lo que decidimos NO INSTALAR EN CLIENTES.

Cada Partner tiene su propia política, en la nuestra aparte de las pruebas internas, si un PL, sale con más de 1 parche no lo instalamos, eso siempre es señal de errores en el mismo y es preferible saltar a la siguiente versión. (bien ocurrió del PL 07 al PL 09, el PL08 salió y tuvieron que ponerle 2 HotFix por lo que preferimos no instalar ese parche a ningún cliente)


#15

Este tema se cerró por inactividad por parte del autor.

Copia la URL de este debate, y abre un nuevo tema en #feedback si:

  • El autor del debate no marcó ninguna respuesta como solución, y tú crees tener la solución
  • Crees tener otra solución a la que actualmente está marcada.

Si, en cambio tienes una duda parecida a la que se debatió, o la misma duda, abre un nuevo tema en la categoría que corresponda y pon que el tema se debatió oportunamente (pega el enlace a este debate), así los otros lectores pueden saber de qué hablas.

Ayúdanos a tener una comunidad organizada.